Index: trunk/tools/documentation/other/diagnostics.html
===================================================================
--- trunk/tools/documentation/other/diagnostics.html	(revision 1416)
+++ trunk/tools/documentation/other/diagnostics.html	(revision 1805)
@@ -13,4 +13,27 @@
       Python script to compute diagnostics (new variables) from model outputs<BR>
       <BR>
+      <P STYLE="text-align:left;font-size:0.7em;">
+      Diagnostics are computed as a given pre-defined combination of variables [var1n], ..., [varNn] as:<BR>
+      &nbsp;&nbsp;-v [VarName]|[var1n]@....@[varNn]<BR>
+      A large series of diagnostics are prepared to be computed from WRF model output. When a given diagnostic has to be computed from the WRF output, the label of the medthod starts with 'WRF', becoming the name of the method: <BR>
+      &nbsp;&nbsp;`WRF[variable]'<BR>
+      It is required to indicate dimensions and variable-dimensions (variables which content the values for a given dimension) from the file. Again, because WRF model provides a not so-useful time variable, one can provide `WRFtime' for the 'Time' dimension and automatically, the resultant file will content a CF-time variable directly computed from WRF variables 'Times'<BR>
+      Finally, in order to faciliate the use of the script for WRF users, some diagnostics require standard variables like pressure, geopotential, air temperature, ... These variables are not directly obtained from WRF output. In order to overcome this problem, python script is already prepared with the computation of these variables, when they are provided as required variables for the diagnostics (one of the [varin]). These pre-prepared variables are:
+      <TABLE ID="t01">
+       <THEAD>
+       <TR><TH>Name</TH><TH>Description</TH><TH>Computation ([WRFvar])</TH><TH>units</TH></TR>
+       <TR><TD>WRFgeop</TD><TD>Geopotential height </TD><TD>[PH]+[PHB]</TD><TD>gpm</TD></TR>
+       <TR><TD>WRFp</TD><TD>Pressure</TD><TD>[P]+[PB]</TD><TD>Pa</TD></TR>
+       <TR><TD>WRFt</TD><TD>air temperature</TD><TD>([T]+300.)*(WRFp/100000.)**(2./7.)</TD><TD></TD></TR>
+       <TR><TD>WRFrh</TD><TD>relative humidty</TD><TD>data1=10.*0.6112*np.exp(17.67*(WRFt-273.16)/(WRFt-29.65))<BR>
+         data2 = 0.622*data1/(0.01*WRFp-(1.-0.622)*data1)
+         WRFrh = [QVAPOR]/data2</TD><TD>1</TD></TR>
+       <TR><TD>WRFght</TD><TD>Geopotential height </TD><TD>[PH]+[PHB]</TD><TD>gpm</TD></TR>
+       <TR><TD>WRFdens</TD><TD>air density</TD><TD>[DNW]*([MU]+[MUB])/g</TD><TD>kgm-3</TD></TR>
+       <TR><TD>WRFpos</TD><TD>positions from the lowest-leftest corner of the matrix</TD><TD>sqrt(([DY]*iy)**2+([DX]*ix)**2)/[MAPFAC_M]</TD><TD>m</TD></TR>
+       <TR><TD>WRFtime</TD><TD>CF-time compilant</TD><TD>[Times]</TD><TD>minutes since 1949-12-01 00:00:00</TD></TR>
+       <TR><TD>WRFz</TD><TD>height above surface</TD><TD>WRFgeop/g-[HGT]</TD><TD>m</TD></TR>
+      </TABLE>
+      </P>
     </DIV>
     <DIV CLASS="valhelp">
@@ -22,10 +45,27 @@
       Available diagnostics (content of `diagnostics.inf'):<BR>
       <TABLE ID="t01">
-       <TR><TH>CF Name</TH><TH>Name in script</TH><TH>variables</TH><TH>description</TH></TR>
+       <THEAD>
+         <TR><TH>CF Name</TH><TH>Name in script</TH><TH>variables</TH><TH>description</TH></TR>
+       </THEAD>
+       <TFOOT>
+         <TR>
+           <TD COLSPAN="4">
+            <SUP>1</SUP>This diagnostics also computes:
+           </TD>
+         </TR>
+         <TR><TD></TD><TD>cin</TD><TD COLSPAN="2">Convective inhibition</TD></TR>
+         <TR><TD></TD><TD>lfcp</TD><TD COLSPAN="2">pressure of level of free convection</TD></TR>
+         <TR><TD></TD><TD>lfcz</TD><TD COLSPAN="2">height of level of free convection</TD></TR>
+         <TR><TD></TD><TD>li</TD><TD COLSPAN="2">lifted index</TD></TR>
+       </TFOOT>
+       <TBODY>
          <TR><TD>bils</TD><TD> WRFbils</TD><TD> HFX@LH</TD><TD>total heat surface flux from WRF</TD></TR>
+         <TR><TD>cape</TD><TD> WRFcape_afwa</TD><TD>WRFt@WRFrh@WRFp@WRFgeop@HGT</TD><TD>Convective Available Potential Energy (cape)<SUP>1</SUP></TD><TD>
          <TR><TD>clt</TD><TD> clt</TD><TD> CLDFRA</TD><TD>total cloud cover from WRF</TD></TR>
          <TR><TD>cll</TD><TD> cllmh</TD><TD> CLDFRA@WRFp</TD><TD>low-level (p > 660 hPa) cloudiness from WRF</TD></TR>
          <TR><TD>clm</TD><TD> cllmh</TD><TD> CLDFRA@WRFp</TD><TD>mid-level (660 < p > 440 hPa) cloudiness from WRF</TD></TR>
          <TR><TD>clh</TD><TD> cllmh</TD><TD> CLDFRA@WRFp</TD><TD>high-level (p < 440 hPa) cloudiness from WRF</TD></TR>
+         <TR><TD>clivi</TD><TD> WRFclivi</TD><TD> WRFdens@QICE@QHAIL@QGRAUPEL</TD><TD>Ice water path</TD></TR>
+         <TR><TD>clwvi</TD><TD> WRFclwvi</TD><TD> WRFdens@QCLOUD@QICE@QHAIL@QGRAUPEL</TD><TD>Cloud condensed water path</TD></TR>
          <TR><TD>hur</TD><TD> LMDZrh</TD><TD> pres@t@r</TD><TD>relative humidity from LMDZ/DYNAMICO</TD></TR>
          <TR><TD>hur</TD><TD> WRFrh</TD><TD> WRFrh@T@P@PB</TD><TD>relative humidity from WRF</TD></TR>
@@ -33,4 +73,7 @@
          <TR><TD>hurs</TD><TD> TSrhs</TD><TD> psfc@t@q</TD><TD>2 m relative humidity from WRF's time-series files</TD></TR>
          <TR><TD>hurs</TD><TD> WRFrhs</TD><TD> PSFC@T2@Q2</TD><TD>2 m relative humidity from WRF</TD></TR>
+         <TR><TD>mrso</TD><TD> WRFmrso</TD><TD>  SMOIS@DZS</TD><TD>total soil moisture content</TD></TR>
+         <TR><TD>p</TD><TD> WRFp</TD><TD> P@PB</TD><TD>air pressure</TD></TR>
+         <TR><TD>evspsblpot</TD><TD> WRFpotevap_orPM</TD><TD> WRFdens@UST@U10@V10@T2@PSFC@QVAPOR</TD><TD>Potent5ial evapotranspiration following Penman-Monteith formulation implemented in ORCHIDEE</TD></TR> 
          <TR><TD>p</TD><TD> WRFp</TD><TD> P@PB</TD><TD>air pressure from WRF</TD></TR>
          <TR><TD>pr</TD><TD> RAINTOT</TD><TD> RAINC@RAINNC@WRFtime</TD><TD>precipitation flux from WRF</TD></TR>
@@ -40,6 +83,9 @@
          <TR><TD>prw</TD><TD> WRFprw</TD><TD> WRFdens@QVAPOR</TD><TD>liquid water path from WRF</TD></TR>
          <TR><TD>psl</TD><TD> WRFmslp</TD><TD> WRFp@PSFC@HGT@WRFt@QVAPOR</TD><TD>Mean sea level pressure from WRF (following NCAR, C. Bruy&eacute;'s 'pinterp')</TD></TR>
+         <TR><TD>psl</TD><TD> WRFpsl_ecmwf</TD><TD> PSFC@HGT@WRFt@WRFp@ZNU@ZNW</TD><TD> sea level pressure using ECMWF method</TD></TR> 
+         <TR><TD>psl</TD><TD> WRFpsl_ptarget</TD><TD> WRFp@PSFC@WRFt@HGT@QVAPOR</TD><TD>Same as WRFmslp, but Fortran based</TD></TR>  
          <TR><TD>rvor</TD><TD> rvor</TD><TD> U@V</TD><TD>aire relative vorticity from WRF</TD></TR>
          <TR><TD>rvors</TD><TD> WRFrvors</TD><TD> U10@V10@WRFpos</TD><TD>10 m aire relative vorticity from WRF</TD></TR>
+         <TR><TD>slw</TD><TD> WRFslw</TD><TD> SH2O@DZS</TD><TD>Total soil water content</TD></TR>
          <TR><TD>ta</TD><TD> WRFt</TD><TD> T@P@PB</TD><TD>air temperature from WRF</TD></TR>
          <TR><TD>td</TD><TD> WRFtd</TD><TD> WRFp@WRFt2@QVAPOR</TD><TD>air dew-point temperature from WRF</TD></TR>
@@ -48,4 +94,7 @@
          <TR><TD>ua</TD><TD> WRFua</TD><TD> U@V@SINALPHA@COSALPHA</TD><TD>eastward wind speed of air from WRF</TD></TR>
          <TR><TD>va</TD><TD> WRFva</TD><TD> U@V@SINALPHA@COSALPHA</TD><TD>northward wind speed of air from WRF</TD></TR>
+         <TR><TD>uavaz</TD><TD> WRFzwind</TD><TD> U@V@WRFz@U10@V10@SINALPHA@COSALPHA@z=100.</TD><TD>Height wind extrapolation using power-law method (e.g. at 100. m)</TD></TR>
+         <TR><TD>uavaz</TD><TD> WRFzwind_log</TD><TD> U@V@WRFz@U10@V10@SINALPHA@COSALPHA@z=100.</TD><TD>Height wind extrapolation using logarithmic method (e.g. at 100. m)</TD></TR>
+         <TR><TD>uavaz</TD><TD> WRFzwindMO</TD><TD> UST@ZNT@RMOL@U10@V10@SINALPHA@COSALPHA@z=100.</TD><TD>Height wind extrapolation using Monin-Obukhov theory (e.g. at 100. m)</TD></TR>
          <TR><TD>wa</TD><TD> OMEGAw</TD><TD> vitw@pres@temp</TD><TD>vertical wind speed from LMDZ</TD></TR>
          <TR><TD>wds</TD><TD> TSwds</TD><TD> u@v</TD><TD>wind speed direction from WRF's time-series files</TD></TR>
@@ -58,5 +107,10 @@
          <TR><TD>zhgt</TD><TD>WRFheight</TD><TD>PH@PHB@WRFgeop</TD>sea level altitude from WRF</TD></TR>
          <TR><TD>zhgtrel</TD><TD>WRFheightrel</TD><TD>PH@PHB@HGT</TD>relative altitude from surface from WRF</TD></TR>
-      </TABLE>
+         <TR><TD>wssturb</TD><TD>turbulence</TD><TD>wss</TD><TD>Wind speed turbulence</TD></TR>
+         <TR><TD>zg</TD><TD> WRFght</TD><TD> PH@PHB</TD><TD>Geopotential height</TD></TR>
+         <TR><TD>zmla</TD><TD> WRFzmlagen</TD><TD> T@QVAPOR@WRFgeop@HGT</TD><TD>PBL height following a generic method</TD></TR>
+       </TBODY>
+
+ </TABLE>
     </DIV>
     <DIV CLASS="valins">