Index: /trunk/tools/documentation/ncmanage/CFmorzization.html
===================================================================
--- /trunk/tools/documentation/ncmanage/CFmorzization.html	(revision 1859)
+++ /trunk/tools/documentation/ncmanage/CFmorzization.html	(revision 1859)
@@ -0,0 +1,94 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8">
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      CFmorzization
+    </DIV>
+    <DIV CLASS="valimg">
+    <P STYLE="text-align:left;">
+      Provide a CF-compilation version of a variable within a file. 
+      See further details at:
+      <UL>
+        <LI><A HREF="http://cordex.org/publications/report-and-document-archives/" TARGET="_blank" CLASS="lc">Christensen, Gutowski, Nikulin, and Legutke; 2013. CORDEX Archive Design</A></LI>
+        <LI><A HREF="http://cmip-pcmdi.llnl.gov/cmip5/output_req.html#metadata" TARGET="_bkan" CLASS="lc">Taylor, K., and C. Doutriaux, 2011. CMIP5 Model Output Requirements: File Contents and Format, Data Structure and Meta Data</A></LI>
+      </UL>
+    </P>
+    </DIV>
+    <DIV CLASS="valhelp">
+    varaddattr(values, ncfile, varn)<BR>
+    &bnsp;&bnsp;values=[dimvarns]:[globattrfile]:[projectfile]<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;[dimvarns]: ',' separated list for identification of axes, dimensions and <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;variable-dimensions as '[AXIS]|[dimn]|[vardimn]'<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[AXIS]: axis of the file: 'X', 'Y', 'Z', or 'T'<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[dimn]: name of the current name of the dimension of the given axis<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[vardimn]: name of the current name of the variable-dimension of the <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;given axis<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;[globattrfilen]: name of ASCII file with the given metadata to be added as global attributes<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;with a line per attribute [attrname] [value](use '!' for spaces] (underparenthesis for description)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;use '#' for comments<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;File has to have at least:<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;institute_id [value] (CV)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;institution  [value]<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;model_id [value] (CORDEX starts with &lt;institute_id&gt;-)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;experiment_id [value] (same CV as CMIP5 with "evaluation" in addition)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;experiment [value] (long version of "experiment_id")<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;contact [value] ([Name], [email] of contact person)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;product [value] (single value: "output")<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;Conventions [value] (later than CF1.4 if present / single value: "CF-1.4")<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;creation_date [value] ([YYYY-MM-DDTHH:MM:SSZ] format according to UNIDATA conventions, same in CMIP5 & CORDEX)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;frequency [value] (same CV as CMIP5 with "sem" in addition; 3hr highest freq. in CORDEX; no "yr")<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_model_id [value] (CMIP5 institute_id, &lt;CMIP5 institute_id&gt;-&lt;member in CMIP5 CV list of model_id&gt;)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_model_ensemble_member [value] (CMIP5 CV, e.g. "r1i1p1")<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_experiment_name [value] ("evaluation" or &lt;member in CMIP5 CV list of experiment_id&gt;)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_experiment [value] ("&lt;driving_model_id&gt;,&lt;driving_experiment_name&gt;,&lt;driving_model_ensemble_member&gt;", <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;members of the CMIP5 list of forcing agents are not necessarily forcing agents of RCM (besides implicitly<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;in driving_experimnt)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;rcm_version_id [value] (&lt;free text string&gt;; valid characters only indicates model modifs during the project<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;e.g.: parameterizations, small upgrades)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;project_id [value] (single value)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;CORDEX_domain [value] ((e.g.: "AFR-44", "AFR-44i", includes resolution acronym)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;tracking_id [value] (not required or explained in ADD; it is, however, strongly recommended to include it <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;as prescribed CMIP5.)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;basetime [value] (reference time "1949-12-01T00:00:00Z" formatted acording to UNIDATA conventions)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;calendar [value] (CF conventions as in driving model)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;grid [value] (according to CF conventions)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;[projectfile]: ASCII file with all the CF-mandatory projection information. A line for each attribute. Name of <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;the variable to be used to refer the projection inside the file will be the same as global attribute `grid'<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;See more information from: <A HREF="http://cfconventions.org/Data/cf-conventions/cf-conventions-1.7/build/ch05s06.html" TARGET="_blan" CLASS="lc">CF-conventions</A><BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; (...) (specific projection attributes and values)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; [name] [value] [kind] ('I': integer, 'R': float, 'D': double float, 'S': string)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; Add three more attributes for the resolution of the projection:<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; x_resolution [value] (resolution along x-axis)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; y_resoltuion [value] (resolution along y-axis)<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; proj_units [value] (units of the resoltion of the projection)<BR>
+    &bnsp;&bnsp;ncfile= netCDF file to use<BR>
+    &bnsp;&bnsp;variable= ',' list of [varfn]@[method]@[Tbnds] to CF transform. A separated file will be <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;created for each variable<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;use [varfn]@instantaneous@None for instantaneous values<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;NOTE: CF values will be taken from 'variables_values.dat'<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[varfn]: name of the variable inside the file<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[method]: cell_method of the variable ('!' for spaces) uing, standard CF description:<BR> 
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;<A HREF="http://cfconventions.org/cf-conventions/cf-conventions.html#_data_representative_of_cells" TARGET="_blank" CLASS="lc">CF-conventions cell representation</A><BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[var_time_bnds]: variable with the time_bnds values, or:<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;* 'WRFtime_bnds'|[tunit]|[quantity], to be computed directly from WRF for a given period of time as:<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day, <BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;'h' hour, 'i' minute, 's' second<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[quantity] = amount (integer) of [tunit] to cover a period of time_bnds<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;* 'Ctime_bnds'|[tvarn]|[tunit]|[quantity], to be computed directly from a variable from a given period of time as:<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[tvarn]: name of the variable<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day,<BR> 
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;'h' hour, 'i' minute, 's' second<BR>
+    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[quantity] = amount (integer) of [tunit] to cover a period of time_bnds<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      $ python ${pyHOME}/nc_var.py -o CFmorzization -S 'X|west_east|XLONG,Y|south_north|XLAT,T|Time|WRFtime,Z|bottom_top|ZNU:GlobalAttr1995.inf:proj1995.inf' -f ~/PY/wrfout_d01_1995-01-01_00\:00\:00 -v QFX@instantaneous@None<BR>
+      $ python ${pyHOME}/nc_var.py -o CFmorzization -S 'X|west_east|XLONG,Y|south_north|XLAT,T|Time|WRFtime,Z|bottom_top|ZNU:GlobalAttr1995.inf:proj1995.inf' -f ~/PY/wrfout_d01_1995-01-01_00\:00\:00 -v 'RAINC@time:!accumulation@WRFtime_bnds|h|3'
+    </DIV>
+  </BODY>
+</HTML>
+
Index: /trunk/tools/documentation/ncmanage/ncmanage.html
===================================================================
--- /trunk/tools/documentation/ncmanage/ncmanage.html	(revision 1858)
+++ /trunk/tools/documentation/ncmanage/ncmanage.html	(revision 1859)
@@ -10,4 +10,5 @@
       <A CLASS="lc" HREF="addVar.html" TARGET="value">addVAR</A><BR>
       <A CLASS="lc" HREF="compute_opersvarsfiles.html" TARGET="value">compute_opersvarsfiles</A><BR>
+      <A CLASS="lc" HREF="CFmorzization.html" TARGET="value">CFmorzization</A><BR>
       <A CLASS="lc" HREF="curve_section.html" TARGET="value">curve_section</A><BR>
       <A CLASS="lc" HREF="DataSetSection_multivars.html" TARGET="value">DataSetSection_multivars</A><BR>
Index: /trunk/tools/nc_var_tools.py
===================================================================
--- /trunk/tools/nc_var_tools.py	(revision 1858)
+++ /trunk/tools/nc_var_tools.py	(revision 1859)
@@ -22926,7 +22926,11 @@
             [method]: cell_method of the variable ('!' for spaces) uing, standard CF description: 
                 http://cfconventions.org/cf-conventions/cf-conventions.html#_data_representative_of_cells
-            [var_time_bnds]: variable with the time_bnds values ('WRFtime_bnds'|[tunit]|[quantity], to be computed
-              directly from WRF)
-                'WRFtime_bnds'|[tunit]|[quantity] period to compute the bounds as:
+            [var_time_bnds]: variable with the time_bnds values, or:
+              * 'WRFtime_bnds'|[tunit]|[quantity], to be computed directly from WRF for a given period of time as:
+                  [tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day, 
+                    'h' hour, 'i' minute, 's' second
+                  [quantity] = amount (integer) of [tunit] to cover a period of time_bnds
+              * 'Ctime_bnds'|[tvarn]|[tunit]|[quantity], to be computed directly from a variable from a given period of time as:
+                  [tvarn]: name of the variable
                   [tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day, 
                     'h' hour, 'i' minute, 's' second