Index: /trunk/tools/documentation/ncmanage/CFmorzization.html
===================================================================
--- /trunk/tools/documentation/ncmanage/CFmorzization.html	(revision 1859)
+++ /trunk/tools/documentation/ncmanage/CFmorzization.html	(revision 1860)
@@ -22,71 +22,86 @@
     <DIV CLASS="valhelp">
     varaddattr(values, ncfile, varn)<BR>
-    &bnsp;&bnsp;values=[dimvarns]:[globattrfile]:[projectfile]<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;[dimvarns]: ',' separated list for identification of axes, dimensions and <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;variable-dimensions as '[AXIS]|[dimn]|[vardimn]'<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[AXIS]: axis of the file: 'X', 'Y', 'Z', or 'T'<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[dimn]: name of the current name of the dimension of the given axis<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[vardimn]: name of the current name of the variable-dimension of the <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;given axis<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;[globattrfilen]: name of ASCII file with the given metadata to be added as global attributes<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;with a line per attribute [attrname] [value](use '!' for spaces] (underparenthesis for description)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;use '#' for comments<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;File has to have at least:<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;institute_id [value] (CV)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;institution  [value]<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;model_id [value] (CORDEX starts with &lt;institute_id&gt;-)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;experiment_id [value] (same CV as CMIP5 with "evaluation" in addition)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;experiment [value] (long version of "experiment_id")<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;contact [value] ([Name], [email] of contact person)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;product [value] (single value: "output")<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;Conventions [value] (later than CF1.4 if present / single value: "CF-1.4")<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;creation_date [value] ([YYYY-MM-DDTHH:MM:SSZ] format according to UNIDATA conventions, same in CMIP5 & CORDEX)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;frequency [value] (same CV as CMIP5 with "sem" in addition; 3hr highest freq. in CORDEX; no "yr")<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_model_id [value] (CMIP5 institute_id, &lt;CMIP5 institute_id&gt;-&lt;member in CMIP5 CV list of model_id&gt;)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_model_ensemble_member [value] (CMIP5 CV, e.g. "r1i1p1")<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_experiment_name [value] ("evaluation" or &lt;member in CMIP5 CV list of experiment_id&gt;)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;driving_experiment [value] ("&lt;driving_model_id&gt;,&lt;driving_experiment_name&gt;,&lt;driving_model_ensemble_member&gt;", <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;members of the CMIP5 list of forcing agents are not necessarily forcing agents of RCM (besides implicitly<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;in driving_experimnt)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;rcm_version_id [value] (&lt;free text string&gt;; valid characters only indicates model modifs during the project<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;e.g.: parameterizations, small upgrades)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;project_id [value] (single value)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;CORDEX_domain [value] ((e.g.: "AFR-44", "AFR-44i", includes resolution acronym)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;tracking_id [value] (not required or explained in ADD; it is, however, strongly recommended to include it <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;as prescribed CMIP5.)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;basetime [value] (reference time "1949-12-01T00:00:00Z" formatted acording to UNIDATA conventions)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;calendar [value] (CF conventions as in driving model)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;grid [value] (according to CF conventions)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;[projectfile]: ASCII file with all the CF-mandatory projection information. A line for each attribute. Name of <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;the variable to be used to refer the projection inside the file will be the same as global attribute `grid'<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;See more information from: <A HREF="http://cfconventions.org/Data/cf-conventions/cf-conventions-1.7/build/ch05s06.html" TARGET="_blan" CLASS="lc">CF-conventions</A><BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; (...) (specific projection attributes and values)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; [name] [value] [kind] ('I': integer, 'R': float, 'D': double float, 'S': string)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; Add three more attributes for the resolution of the projection:<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; x_resolution [value] (resolution along x-axis)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; y_resoltuion [value] (resolution along y-axis)<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp; proj_units [value] (units of the resoltion of the projection)<BR>
-    &bnsp;&bnsp;ncfile= netCDF file to use<BR>
-    &bnsp;&bnsp;variable= ',' list of [varfn]@[method]@[Tbnds] to CF transform. A separated file will be <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;created for each variable<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;use [varfn]@instantaneous@None for instantaneous values<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;NOTE: CF values will be taken from 'variables_values.dat'<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[varfn]: name of the variable inside the file<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[method]: cell_method of the variable ('!' for spaces) uing, standard CF description:<BR> 
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;<A HREF="http://cfconventions.org/cf-conventions/cf-conventions.html#_data_representative_of_cells" TARGET="_blank" CLASS="lc">CF-conventions cell representation</A><BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[var_time_bnds]: variable with the time_bnds values, or:<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;* 'WRFtime_bnds'|[tunit]|[quantity], to be computed directly from WRF for a given period of time as:<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day, <BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;'h' hour, 'i' minute, 's' second<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[quantity] = amount (integer) of [tunit] to cover a period of time_bnds<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;* 'Ctime_bnds'|[tvarn]|[tunit]|[quantity], to be computed directly from a variable from a given period of time as:<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[tvarn]: name of the variable<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day,<BR> 
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;'h' hour, 'i' minute, 's' second<BR>
-    &bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;&bnsp;[quantity] = amount (integer) of [tunit] to cover a period of time_bnds<BR>
+    &nbsp;&nbsp;values=[dimvarns]:[globattrfile]:[projectfile]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[dimvarns]: ',' separated list for identification of axes, dimensions and <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;variable-dimensions as '[AXIS]|[dimn]|[vardimn]'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[AXIS]: axis of the file: 'X', 'Y', 'Z', or 'T'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[dimn]: name of the current name of the dimension of the given axis<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[vardimn]: name of the current name of the variable-dimension of the <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;given axis<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[globattrfilen]: name of ASCII file with the given metadata to be added as global attributes<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;with a line per attribute [attrname] [value](use '!' for spaces] (underparenthesis<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;for description)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;use '#' for comments<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;File has to have at least:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;institute_id [value] (CV)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;institution  [value]<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;model_id [value] (CORDEX starts with &lt;institute_id&gt;-)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;experiment_id [value] (same CV as CMIP5 with "evaluation" in addition)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;experiment [value] (long version of "experiment_id")<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;contact [value] ([Name], [email] of contact person)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;product [value] (single value: "output")<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Conventions [value] (later than CF1.4 if present / single value: "CF-1.4")<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;creation_date [value] ([YYYY-MM-DDTHH:MM:SSZ] format according to UNIDATA<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;conventions, same in CMIP5 & CORDEX)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;frequency [value] (same CV as CMIP5 with "sem" in addition; 3hr highest <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;freq. in CORDEX; no "yr")<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;driving_model_id [value] (CMIP5 institute_id, &lt;CMIP5 institute_id&gt;-<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&lt;member in CMIP5 CV list of model_id&gt;)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;driving_model_ensemble_member [value] (CMIP5 CV, e.g. "r1i1p1")<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;driving_experiment_name [value] ("evaluation" or &lt;member in CMIP5 CV <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;list of experiment_id&gt;)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;driving_experiment [value] ("&lt;driving_model_id&gt;,&lt;driving_experiment_name&gt;,&lt;driving_model_ensemble_member&gt;", <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;members of the CMIP5 list of forcing agents are not necessarily<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;forcing agents of RCM (besides implicitly<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;in driving_experimnt)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rcm_version_id [value] (&lt;free text string&gt;; valid characters only <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;indicates model modifs during the project e.g.: parameterizations,<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;small upgrades)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;project_id [value] (single value)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CORDEX_domain [value] ((e.g.: "AFR-44", "AFR-44i", includes resolution acronym)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;tracking_id [value] (not required or explained in ADD; it is, however, <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;strongly recommended to include it as prescribed CMIP5.)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;basetime [value] (reference time "1949-12-01T00:00:00Z" formatted acording <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;to UNIDATA conventions)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;calendar [value] (CF conventions as in driving model)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;grid [value] (according to CF conventions)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;[projectfile]: ASCII file with all the CF-mandatory projection information. A line for each <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;attribute. Name of the variable to be used to refer the projection inside the file will <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;be the same as global attribute `grid'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;See more information from: <A HREF="http://cfconventions.org/Data/cf-conventions/cf-conventions-1.7/build/ch05s06.html" TARGET="_blan" CLASS="lc">CF-conventions</A><BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; (...) (specific projection attributes and values)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; [name] [value] [kind] ('I': integer, 'R': float, 'D': double float, 'S': string)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; Add three more attributes for the resolution of the projection:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; x_resolution [value] (resolution along x-axis)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; y_resoltuion [value] (resolution along y-axis)<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; proj_units [value] (units of the resoltion of the projection)<BR>
+    &nbsp;&nbsp;ncfile= netCDF file to use<BR>
+    &nbsp;&nbsp;variable= ',' list of [varfn]@[method]@[Tbnds] to CF transform. A separated file will be <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;created for each variable<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;use [varfn]@instantaneous@None for instantaneous values<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;NOTE: CF values will be taken from 'variables_values.dat'<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[varfn]: name of the variable inside the file<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[method]: cell_method of the variable ('!' for spaces) uing, standard CF description:<BR> 
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<A HREF="http://cfconventions.org/cf-conventions/cf-conventions.html#_data_representative_of_cells" TARGET="_blank" CLASS="lc">CF-conventions cell representation</A><BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[var_time_bnds]: variable with the time_bnds values, or:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'WRFtime_bnds'|[tunit]|[quantity], to be computed directly from WRF for a <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;given period of time as:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day, <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'h' hour, 'i' minute, 's' second<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[quantity] = amount (integer) of [tunit] to cover a period of time_bnds<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;* 'Ctime_bnds'|[tvarn]|[tunit]|[quantity], to be computed directly from a <BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;variable from a given period of time as:<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[tvarn]: name of the variable<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[tunit]: unit of time: 'c' century, 'y' year, 'm' month, 'w' week, 'd' day,<BR> 
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;'h' hour, 'i' minute, 's' second<BR>
+    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[quantity] = amount (integer) of [tunit] to cover a period of time_bnds<BR>
     </DIV>
     <DIV CLASS="valins">
-      $ python ${pyHOME}/nc_var.py -o CFmorzization -S 'X|west_east|XLONG,Y|south_north|XLAT,T|Time|WRFtime,Z|bottom_top|ZNU:GlobalAttr1995.inf:proj1995.inf' -f ~/PY/wrfout_d01_1995-01-01_00\:00\:00 -v QFX@instantaneous@None<BR>
-      $ python ${pyHOME}/nc_var.py -o CFmorzization -S 'X|west_east|XLONG,Y|south_north|XLAT,T|Time|WRFtime,Z|bottom_top|ZNU:GlobalAttr1995.inf:proj1995.inf' -f ~/PY/wrfout_d01_1995-01-01_00\:00\:00 -v 'RAINC@time:!accumulation@WRFtime_bnds|h|3'
+      $ python ${pyHOME}/nc_var.py -o CFmorzization -S 'X|west_east|XLONG,Y|south_north|XLAT,T|Time|WRFtime,Z|<BR>
+&nbsp;&nbsp;bottom_top|ZNU:GlobalAttr1995.inf:proj1995.inf' -f ~/PY/wrfout_d01_1995-01-01_00\:00\:00 <BR>
+&nbsp;&nbsp;-v QFX@instantaneous@None<BR>
+      $ python ${pyHOME}/nc_var.py -o CFmorzization -S 'X|west_east|XLONG,Y|south_north|XLAT,T|Time|WRFtime,Z|<BR>
+&nbsp;&nbsp;bottom_top|ZNU:GlobalAttr1995.inf:proj1995.inf' -f ~/PY/wrfout_d01_1995-01-01_00\:00\:00 <BR>
+&nbsp;&nbsp;-v 'RAINC@time:!accumulation@WRFtime_bnds|h|3'
     </DIV>
   </BODY>