Index: trunk/tools/documentation/other/obs_netcdf.html
===================================================================
--- trunk/tools/documentation/other/obs_netcdf.html	(revision 1953)
+++ trunk/tools/documentation/other/obs_netcdf.html	(revision 1953)
@@ -0,0 +1,126 @@
+<HTML>
+  <HEAD>
+    <META HTTP-EQUIV="Content-Type" CONTENT="text/html; CHARSET=utf-8"/>
+    <LINK REL="stylesheet" TYPE="text/css" HREF="../PyNCplot.css"/>
+  </HEAD>
+
+  </HEAD>
+  <BODY>
+    <DIV CLASS="valheader">
+      create_OBSnetcdf
+    </DIV>
+    <DIV CLASS="valimg">
+      Python script to create a netCDF file from observational ASCII files<BR>
+      <BR>
+      <P STYLE="text-align:left;font-size:0.7em;">
+      netCDF files are generated from a given ASCII file with observational data. Observational data can be <BR>
+      &nbsp;&nbsp;of different types:
+      <UL>
+        <LI><B>stations-map:</B> multiple individual punctual observations at no fixed locations and not fixed times (e.g., lightning strikes)</LI> 
+        <LI><B>multi-points:</B> multiple observations at fixed locations and fixed times</LI>
+        <LI><B>single-station:</B> multiple observations on a single station at different times</LI>
+        <LI><B>trajectory:</B> multiple observations following a trajectory</LI>
+      </UL>
+      Transformation is controlled by an ASCII file with the description of the data. As example a template of <BR>
+      &nbsp;&nbsp;this file called <CODE>description.dat.template</CODE> is provided. <BR>
+      Observational ASCII file is expected to contain measurements of different variables at a same time like:<BR>
+      <CODE>[Time1] [Var1] [Var2] [Var3] ... [varN]</CODE><BR>
+      <CODE>(...)</CODE><BR>
+      <CODE>[TimeM] [Var1] [Var2] [Var3] ... [varN]</CODE><BR>
+      According to the type of observation file might contain observations at different locations, fixed or time-changing
+    </DIV>
+    <DIV CLASS="valhelp">
+      diagnostics.py -c [comvals] -d [descobsfilen] -e [endcol] -f [ASCIIobsfilen] -g [dbg] -k [obskind] -s [stvals] -f [cftimeval]
+      &nbsp;&nbsp;Script has the following attributes to be used with:
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[comvals]</CODE>':' separated list of characters used for comments inside the <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;ASCII observational file
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[descobsfilen]</CODE>name of the file with the description of the ASCII file with the <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;observations to transform
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[endcol]</CODE>character to indicate end of the column for each observed <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;variable. There are two special cases:
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>'space'</CODE>, for spaces <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>'None',[fixcoljumps]</CODE> for files with the measurements provided by fixed size columns<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[fixcoljumps]</CODE>: ',' separated list of positions of column ends within the line<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[ASCIIobsfilen]</CODE> ASCII file with the observations<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[dbg]</CODE> whether debug is required ('false', 'true')<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[obskind]</CODE>kind of observations one of: <CODE>'stations-map'</CODE>, <CODE>'multi-points'</CODE>, <CODE>'single-station'</CODE>, <CODE>'trajectory'</CODE><BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[stvals]=[stname],[stlong],[stlat],[stheight]</CODE> Values to describe the station, <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; only valid for <CODE>'single-station'</CODE>:
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[stname]</CODE> name of the station ('!' for spaces)
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[stlon]</CODE> longitude of the station
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[stlat]</CODE> latitude of the station
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[stheight]</CODE> height of the station
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>[cftimeval]=[Refdate],[tunits]</CODE> values to generate the time following <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;CF conventions with reference date in <CODE>[YYYY][MM][DD][HH][MI][SS]</CODE> format and <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;time units: 'weeks', 'days', 'hours', 'miuntes', 'seconds'
+      &nbsp;&nbsp;Inside the description file, user has to specify:<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>institution=</CODE>Institution who creates the data<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>department=</CODE>Department within the institution<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>scientists=</CODE>names of the data producers<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>contact=</CODE>contact of the data producers<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>description=</CODE>description of the observations<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>acknowledgement=</CODE>sentence of acknowlegement<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>comment=</CODE>comment for the measurements<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>MissingValue=</CODE>'|' list of ASCII values for missing values within the data <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(as they appear!, 'empty' for no value at all)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>comment=</CODE>comments<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>varN=</CODE>'|' separated list of variable names (<A CLASS="lc" HREF="http://cfconventions.org/" TARGET="_blank">CF conventions</A> recommended)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>varLN=</CODE>'|' list of long variable names<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>varU=</CODE>'|' list units of the variables (<A CLASS="lc" HREF="http://cfconventions.org/" TARGET="_blank">CF conventions</A> recommended)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; <B>NOTE:</B> in case observation is tabulled following a WMO code, <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;user can use <CODE>wmo_code_[NUM]</CODE> as units and if <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;a given file called <CODE>wmo_[NUM].code</CODE> exists <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;additional dimensions and variables will be added:<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>wmo_code_[NUM]</CODE>: Values of the code<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>wmo_code_[NUM]_meaning</CODE>: meaning of <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;each code<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;------- ------ ----- ---- --- -- -<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>wmo_code_[NUM]</CODE> with structure: <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>reference|</CODE>web page, document reference with the code<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>short_description|</CODE>main description of the code<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>wmo_code|</CODE>[NUM]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>long_description|</CODE>long description of the code<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>codeTYPE|</CODE>type of the code (andy of 'D', 'F', 'I', 'S')<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>@| Values</CODE>line giving the start of the values<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[val1]|</CODE>[meaning of first value]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>(...)</CODE><BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>[valN]|</CODE>[meaning of last value]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>varBUFR=</CODE>'|' list BUFR code of the variables (optional, can not be provided)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>varTYPE=</CODE>'|' list of variable types ('D', 'F', 'I', 'I64', 'S')<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>varOPER=</CODE>'|' list of operations to do to the variables to meet their units ([oper],[val]) (optional)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;[oper]:<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;-, nothing<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;sumc, add [val]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;subc, rest [val]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;mulc, multiply by [val]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;divc, divide by [val]<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;rmchar,[val],[pos], remove [val] characters from [pos]='B', beginning, 'E', end<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>NAMElon=</CODE>name of the variable (from <CODE>varN</CODE>, if applicable) <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;with the longitude (x position)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>NAMElat=</CODE>name of the variable (from <CODE>varN</CODE>, if applicable) <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;with the latitude (y position)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>NAMEheight=</CODE>name of the variable (from <CODE>varN</CODE>, if applicable) <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;with the height (z position)<BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>NAMEtime=</CODE>name of the varibale with the time (from <CODE>varN</CODE>) <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<B>NOTE:</B> It can be a combination of different variables from <CODE>varN</CODE> separated <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;by '@' character (e.g.: date@time)
+      &nbsp;&nbsp;&nbsp;&nbsp;<CODE>FMTtime=</CODE>format of the time (as in 'C' (e.g.: %Y-%m-%d@%H:%M:%S), or use <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<CODE>'CFtime'</CODE> for observational times which are already in CF-like format)<BR>
+    </DIV>
+    <DIV CLASS="valins">
+      * Observations at a single station:<BR>
+      &nbsp;&nbsp;python create_OBSnetcdf.py -c '#' -e None,8,17,22,28,30,33,35,40,45,51,59,67,72,78,82,87,92,94,96,99,102 <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;-d <A CLASS="lc" HREF="description_sfc_DCAO_horarios.dat" TARGET="_blank">description_sfc_DCAO_horarios.dat</A> -f <A CLASS="lc" HREF="1995_01_SMN_HORARIOS_87576.dat">1995_01_SMN_HORARIOS_87576.dat</A> <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;-k single-station -s 'Ezeiza!airport,-58.534,-34.817,20.' -t 19490101000000,minutes<BR>
+      * Observations following a trajectory:<BR>
+      &nbsp;&nbsp;python create_OBSnetcdf.py -c '#' -d <A CLASS="lc" HREF="description.ATRCore.dat" TARGET="_blank">description.ATRCore.dat</A> -e space <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;-f <A CLASS="lc" HREF="ATR_1Hz-HYMEXBDD-SOP1-v3_20121018_as120051.txt" TARGET="_blank">ATR_1Hz-HYMEXBDD-SOP1-v3_20121018_as120051.txt</A> -k trajectory
+      * Observations at multiple points:<BR>
+      &nbsp;&nbsp;python create_OBSnetcdf.py -c '#' -d <A CLASS="lc" HREF="description.ATDnet.dat" TARGET="_blank">description.ATDnet.dat</A> -e space <BR>
+      &nbsp;&nbsp;&nbsp;&nbsp;-f <A CLASS="lc" HREF="ATDnet_data_121018.csv" TARGET="_blank">ATDnet_data_121018.csv</A> -t 19491201000000,seconds -k 'multi-points'
+    </DIV>
+  </BODY>
+</HTML>
+
Index: trunk/tools/documentation/other/other.html
===================================================================
--- trunk/tools/documentation/other/other.html	(revision 1948)
+++ trunk/tools/documentation/other/other.html	(revision 1953)
@@ -7,5 +7,5 @@
   <BODY>
     <DIV CLASS="colmenu">
-      <!--A CLASS="lc" HREF="obsnc.html" TARGET="value">create_OBSnetcdf.py</A><BR-->
+      <A CLASS="lc" HREF="obs_netcdf.html" TARGET="value">create_OBSnetcdf.py</A><BR>
       <A CLASS="lc" HREF="diagnostics.html" TARGET="value">diagnostics.py</A><BR>
       <!--A CLASS="lc" HREF="model_graphics.html" TARGET="value">model_graphics.py</A><BR-->